package matsubara.gear;

import java.awt.Color;
import java.awt.Graphics;

/**
 * ^Cg:  Planetary Carrier
 * :    vl^MÃvl^LApNX
 * 쌠:   Copyright (c) 2001
 * Ж:
 * @author a
 * @version 1.0
 */

public class PlanetaryCarrier extends GearBase {
  int m_nWidth = 20;  //  vl^LÃt[̕ij
  Color m_BackColor = Color.lightGray;
  public PlanetaryCarrier() {
  }
  public PlanetaryCarrier(int nPosX, int nPosY, int nSize) {
    setPosX(nPosX);
    setPosY(nPosY);
    setSize(nSize);
  }

  public int getWidth() {
    return m_nWidth;
  }
  public void setWidth(int nWidth) {
    m_nWidth = nWidth;
  }

  public Color getBackColor() {
    return m_BackColor;
  }
  public void setBackColor(Color clBackColor) {
    m_BackColor = clBackColor;
  }

  public void draw(Graphics g) {
    g.setColor(m_color1);
    g.fillArc((int)(m_nPosX - m_rSize - (double)m_nWidth / 2), (int)(m_nPosY - m_rSize - (double)m_nWidth / 2), (int)(m_rSize * 2 + m_nWidth), (int)(m_rSize * 2 + m_nWidth), 180 - (int)(m_rAngle / (2 * Math.PI) * 360), 180);
    g.setColor(m_color2);
    g.fillArc((int)(m_nPosX - m_rSize - (double)m_nWidth / 2), (int)(m_nPosY - m_rSize - (double)m_nWidth / 2), (int)(m_rSize * 2 + m_nWidth), (int)(m_rSize * 2 + m_nWidth), 360 - (int)(m_rAngle / (2 * Math.PI) * 360), 180);
    g.setColor(m_BackColor);
    g.fillArc((int)(m_nPosX - m_rSize + (double)m_nWidth / 2), (int)(m_nPosY - m_rSize + (double)m_nWidth / 2), (int)(m_rSize * 2 - m_nWidth), (int)(m_rSize * 2 - m_nWidth), 0, 360);
  }
}