package matsubara.graphics;

import java.awt.*;

/**
 * ^Cg:  Line Base
 * :    \p Line IuWFNg̊bEProgress Line ̃x[XNXƂėpӂ
 * 쌠:   Copyright (c) 2001
 * Ж:
 * @author a
 * @version 1.0
 */

abstract public class LineBase {
  int m_nStartX = 0;
  int m_nStartY = 0;
  int m_nEndX = 0;
  int m_nEndY = 0;
  Color m_color = Color.blue;

  public LineBase(int nStartX, int nStartY, int nEndX, int nEndY, Color color) {
    m_nStartX = nStartX;
    m_nStartY = nStartY;
    m_nEndX = nEndX;
    m_nEndY = nEndY;
    m_color = color;
  }

  abstract public void draw(Graphics g);

  public void drawArrow(Graphics g) {
    g.setColor(m_color);
    g.drawLine(m_nStartX, m_nStartY, m_nEndX, m_nEndY);
  }

  public void setStartX(int nStartX) {
    m_nStartX = nStartX;
  }
  public int getStartX() {
    return m_nStartX;
  }
  public void setStartY(int nStartY) {
    m_nStartY = nStartY;
  }
  public int getStartY() {
    return m_nStartY;
  }
  public void setEndX(int nEndX) {
    m_nEndX = nEndX;
  }
  public int getEndX() {
    return m_nEndX;
  }
  public void setEndY(int nEndY) {
    m_nEndY = nEndY;
  }
  public int getEndY() {
    return m_nEndY;
  }

  public void setColor(Color color) {
    m_color = color;
  }
  public Color getColor() {
    return m_color;
  }
}