package matsubara.carcontroller;

/**
 * <p>^Cg: sgrV~[^</p>
 * <p>: vEX̃nCubhVXeisgrj̐SAVԋ@\̃V~[V</p>
 * <p>쌠: Copyright (c) 2001</p>
 * <p>Ж: </p>
 * @author a
 * @version 1.0.0
 * o[Wł ShiftPosition ̒l͖܂B
 */

import matsubara.gear.*;



public class ThsController extends CarController {
  PlanetaryGear m_planetaryGear;
  boolean m_bGasoline;
  boolean m_bMotor;
  boolean m_bKaisei;

  //  THS 샂[h
  public static final int thsStop = 0;      //  GlM[̗Ȃ
  public static final int thsStart = 1;     //  [^[݂̂Ŕi
  public static final int thsNormal = 2;    //  ʏ^]
  public static final int thsNormalOD = 3;  //  ʏ^](I[o[hCuE[^[Ɣd@̖t])
  public static final int thsFullAccel = 4; //  SJiGW+[^[j
  public static final int thsKaisei = 5;    //  񐶃u[L
  public static final int thsKaiseiAndEngine = 6; //  񐶃u[L{GW͔d@ׂ̕œĂ
  int m_nThsMode = thsStop;

  public ThsController(int nPlanetaryGearX, int nPlanetaryGearY, int nPlanetaryGearSize) {
    super();
    m_planetaryGear = new PlanetaryGear(nPlanetaryGearX, nPlanetaryGearY, nPlanetaryGearSize, 30, 23, 78, 4); //  ͕@\
  }
  public void drive(double rMilliSec, int nAccel, int nBrake) {
    //  sgrel
    double rSpeed = getSpeed();
    double rEngineRpm = m_planetaryGear.getPlaCarrierSpeed();

    //  sgreڕWl
    double rTargetSpeed = 13 + nAccel * 1.5;
    double rTargetEngineRpm = 0;

    //  GW̏
    if (((rSpeed >= 50) || (rSpeed < rTargetSpeed - 20)) && nAccel >= 10) {
      //  GWR
      rTargetEngineRpm = 1150 + (rTargetSpeed - 40) * (rTargetSpeed - 40) * 2850 / 10000 ;
      if (rTargetEngineRpm > 4000)
        rTargetEngineRpm = 4000;
      if (rEngineRpm >= 1000) {
        m_bGasoline = true;
        m_nThsMode = thsNormal;
      }
      else {
        m_bGasoline = false;
        m_nThsMode = thsStart;
      }
    }
    else {
      //  GW͔d@ɂĉ񂳂Ă邩A܂͎~܂ĂiRĂĂȂj
      rTargetEngineRpm = 1000 + (rSpeed - 50) * 10;
      if (rSpeed < 45)
        rTargetEngineRpm = 0;
      m_bGasoline = false;
      m_nThsMode = thsStart;
    }

    if (rEngineRpm < rTargetEngineRpm) {
      rEngineRpm += (rMilliSec / 1000) * 2000;  //  b2000]]グi\zj
      if (rEngineRpm > rTargetEngineRpm)
        rEngineRpm = rTargetEngineRpm;
    }
    else if (rEngineRpm > rTargetEngineRpm) {
      rEngineRpm -= (rMilliSec / 1000) * 4000;  //  b4000]]i\zj
      if (rEngineRpm < rTargetEngineRpm)
        rEngineRpm = rTargetEngineRpm;
    }
    //  EŘvZ
    if (rSpeed < rTargetSpeed) {
      //  ̌vZ
      //  rSpeed += Math.pow(rTargetSpeed - rSpeed, 0.9) * rMilliSec / 1000 * 0.115;
      double rMaxPowerRatio = 0.5 + (160 - rSpeed) / 320;
      rSpeed += Math.pow(rTargetSpeed - rSpeed, 0.9) * rMilliSec / 1000 * 0.135 * rMaxPowerRatio;
      if (rSpeed > rTargetSpeed)
        rSpeed = rTargetSpeed;
      if ((rSpeed < rTargetSpeed - 15) || (rTargetSpeed >= 140) || (rEngineRpm == 0)) {
        m_bMotor = true;
        if (rEngineRpm >= 1000)
          m_nThsMode = thsFullAccel;
        else
          m_nThsMode = thsStart;
      }
      else {
        m_bMotor = false;
      }
      m_bKaisei = false;
    }
    else {
      //  R
      if (rSpeed > 100)
        rSpeed -= 3.50 * rMilliSec / 1000;
      else if (rSpeed > 50)
        rSpeed -= 4.95 * rMilliSec / 1000;
      else
        rSpeed -= 2.20 * rMilliSec / 1000;
      if (rSpeed < rTargetSpeed)
        rSpeed = rTargetSpeed;
      if (nAccel == 0) {
        if (rSpeed > 15) {
          m_bKaisei = true;
          m_nThsMode = thsKaisei;
        }
        else
          m_bKaisei = false;
        m_bMotor = false;
      }
      else {
        if (rEngineRpm == 0)
          m_bMotor = true;
        else
          m_bMotor = false;
      }
      m_bGasoline = false;  //  GW]͂łĂGuŉ񂷂̂ŃK\͏ȂB
      m_nThsMode = thsKaisei;
    }

    //  u[L̔f
    if (isParkingBrake() && nBrake < 50)
      nBrake = 50;  //  p[LOu[L𕁒ʂ̃u[L50%Ƃ݂ȂB
    if (nBrake > 5) {
      if (rSpeed > 100)
        rSpeed -= 1.0 * nBrake * rMilliSec / 1000;
      else if (rSpeed > 50)
        rSpeed -= 0.5 * nBrake * rMilliSec / 1000;
      else
        rSpeed -= 0.25 * nBrake * rMilliSec / 1000;
      if (rSpeed < 0)
        rSpeed = 0;
      if (rSpeed > 10) {
        m_bKaisei = true;
        m_nThsMode = thsKaisei;
      }
      else {
        m_nThsMode = thsStop;
        m_bKaisei = false;
//        if (rSpeed == 0)
//          m_bMotor = false;
        m_bMotor = false;
      }
    }
    if ((m_nThsMode == thsKaisei) && (rTargetEngineRpm > 0))
      m_nThsMode = thsKaiseiAndEngine;

    double rTyreDiameter = 165 * 0.65 * 2 + 15 * 25.4;
    double rTyreGirth = rTyreDiameter * Math.PI;
    double rRingGear = (int)((3.927 / rTyreDiameter / Math.PI / 60 * 1000 * 1000) * rSpeed);

    m_planetaryGear.setRingGearSpeed(rRingGear);
    m_planetaryGear.setPlaCarrierSpeed(rEngineRpm);

    //  d@̉]ɒ[ɂȂȂ悤ɃGW̉]𒲐
    if (m_planetaryGear.getSunGearSpeed() > 6000) {
      m_planetaryGear.setSunGearSpeed(6000);
    }
    else if (m_planetaryGear.getSunGearSpeed() < -4500) {
      m_planetaryGear.setSunGearSpeed(-4500);
    }
    //    if ((m_nThsMode == thsNormal) && (nRingGear >= (int)rEngineRpm))
    if ((m_nThsMode == thsNormal) && (m_planetaryGear.getSunGearSpeed() < 500))
      m_nThsMode = thsNormalOD;
    m_planetaryGear.move(rMilliSec / 100);
  }
  public double getEngineRpm() {
    return m_planetaryGear.getRingGearSpeed();
  }
  public double getSpeed() {
    double rTyreDiameter = 165 * 0.65 * 2 + 15 * 25.4;
    double rTyreGirth = rTyreDiameter * Math.PI;
    return (m_planetaryGear.getRingGearSpeed() / 3.927 * rTyreDiameter * Math.PI * 60 / 1000 / 1000);
  }

  public PlanetaryGear getPlanetaryGear() {
    return m_planetaryGear;
  }

  public int getThsMode() {
    return m_nThsMode;
  }

  public boolean isGasoline() {
    return m_bGasoline;
  }
  public boolean isMotor() {
    return m_bMotor;
  }
  public boolean isKaisei() {
    return m_bKaisei;
  }

  public Gear getRingGear() {
    return m_planetaryGear.getRingGear();
  }
  public PlanetaryCarrier getPlanetaryCarrier() {
    return m_planetaryGear.getPlanetaryCarrier();
  }
  public Gear getSunGear() {
    return m_planetaryGear.getSunGear();
  }

  public double getRingGearSpeed() {
    return m_planetaryGear.getRingGearSpeed();
  }
  public double getPlaCarrierSpeed() {
    return m_planetaryGear.getPlaCarrierSpeed();
  }
  public double getSunGearSpeed() {
    return m_planetaryGear.getSunGearSpeed();
  }

}