package matsubara.gear;

import java.awt.Color;
import java.awt.Graphics;

/**
 * ^Cg:  RingGear
 * :    /TCY̓MA̕܂łłB`̍ۂɂ͂傫\̂ŒӂĂB
 * 쌠:   Copyright (c) 2001
 * Ж:
 * @author a
 * @version 1.0
 */

public class RingGear extends Gear {
  int m_nWidth = 20;  //  vl^LÃt[̕ij
  public RingGear() {
  }
  public RingGear(int nPosX, int nPosY, int nSize, int nGearCount, int nGearDepth) {
    setPosX(nPosX);
    setPosY(nPosY);
    setSize(nSize);
    setGearCount(nGearCount);
    setGearDepth(nGearDepth);
  }

  public void draw(Graphics g) {
    int[] nxX = new int[4], nxY = new int[4];
    double rGearAngle;  //  ЂƂ̎̊pxiWAj
    double rIdx;
    double rSizeH = m_rSize - (double)m_nGearDepth / 2;  //  MA̎R̍
    double rSizeL = m_rSize + (double)m_nGearDepth / 2;  //  MA̒J̍
    rGearAngle = 2 * Math.PI / m_nGearCount;  //  1̃MÅpx

    g.setColor(m_color1);
    g.fillArc((int)(m_nPosX - rSizeL - m_nWidth / 2), (int)(m_nPosY - rSizeL - m_nWidth / 2), (int)(rSizeL * 2 + m_nWidth), (int)(rSizeL * 2 + m_nWidth), 180 - (int)(m_rAngle / (2 * Math.PI) * 360), 180);
    g.setColor(m_color2);
    g.fillArc((int)(m_nPosX - rSizeL - m_nWidth / 2), (int)(m_nPosY - rSizeL - m_nWidth / 2), (int)(rSizeL * 2 + m_nWidth), (int)(rSizeL * 2 + m_nWidth), 360 - (int)(m_rAngle / (2 * Math.PI) * 360), 180);

    g.setColor(Color.lightGray);
    g.drawArc((int)(m_nPosX - rSizeL - m_nWidth / 2), (int)(m_nPosY - rSizeL - m_nWidth / 2), (int)(rSizeL * 2 + m_nWidth), (int)(rSizeL * 2 + m_nWidth), 0, 360);

    //  ʂ
    g.setColor(Color.lightGray);
//    g.fillArc(m_nPosX - rSizeL + 1, m_nPosY - rSizeL + 1, rSizeH * 2 + m_nWidth / 2, rSizeH * 2 + m_nWidth / 2, 0, 360);
    g.fillArc((int)(m_nPosX - rSizeL), (int)(m_nPosY - rSizeL), (int)(rSizeL * 2), (int)(rSizeL * 2), 0, 360);


    //  ̕E~iColor1j
    g.setColor(m_color1);
    nxX[2] = rotateX(rSizeL, 0);
    nxY[2] = rotateY(rSizeL, 0);
    for (rIdx = 0.0; rIdx < Math.PI - 0.000001; rIdx += rGearAngle) {
      //  ̒JP
      nxX[0] = nxX[2];
      nxY[0] = nxY[2];
      //  ̎R
      nxX[1] = rotateX(rSizeH, rIdx + rGearAngle / 2);
      nxY[1] = rotateY(rSizeH, rIdx + rGearAngle / 2);
      //  ̒JQ
      nxX[2] = rotateX(rSizeL, rIdx + rGearAngle);
      nxY[2] = rotateY(rSizeL, rIdx + rGearAngle);
      //
      nxX[3] = rotateX(rSizeL + 2, rIdx + rGearAngle / 2);
      nxY[3] = rotateY(rSizeL + 2, rIdx + rGearAngle / 2);
      g.fillPolygon(nxX, nxY, 4);
    }

    //  ̕E~iColor2j
    g.setColor(m_color2);
    if (getGearCount() % 2 == 1) {
      //  ̐̂ƂA̒ŐF邽߂̑Ώ
      nxX[0] = rotateX(rSizeL, rIdx - rGearAngle / 2);
      nxY[0] = rotateY(rSizeL, rIdx - rGearAngle / 2);
      g.fillPolygon(nxX, nxY, 3);
    }
    nxX[2] = rotateX(rSizeL, rIdx);
    nxY[2] = rotateY(rSizeL, rIdx);
    for (rIdx = rIdx; rIdx < 2 * Math.PI - 0.000001; rIdx += rGearAngle) {
      //  ̒JP
      nxX[0] = nxX[2];
      nxY[0] = nxY[2];
      //  ̎R
      nxX[1] = rotateX(rSizeH, rIdx + rGearAngle / 2);
      nxY[1] = rotateY(rSizeH, rIdx + rGearAngle / 2);
      //  ̒JQ
      nxX[2] = rotateX(rSizeL, rIdx + rGearAngle);
      nxY[2] = rotateY(rSizeL, rIdx + rGearAngle);
      //
      nxX[3] = rotateX(rSizeL + 2, rIdx + rGearAngle / 2);
      nxY[3] = rotateY(rSizeL + 2, rIdx + rGearAngle / 2);
      g.fillPolygon(nxX, nxY, 4);
    }
  }
}